### Function

# RB RefString new

#### Declaration [src]

    RBRefString*
    rb_refstring_new (
      const char* init
    )

#### Description [src]

Returns an `RBRefString` for the specified string. If one already exists, its reference count is incremented and it is returned. Otherwise, a new `RBRefString` is created and returned.

#### Parameters

`init`

  Type: `const char*`

  String to intern.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBRefString`

`RBRefString` for `init`.

The caller of the function takes ownership of the data, and is responsible for freeing it.